..  THIS FILE IS GENERATED BY `gen_doc.{py|sh}`
    !DO NOT EDIT THIS FILE MANUALLY!

=========
optimizer
=========

SGD
---

..  autoclass:: paddle.fluid.optimizer.SGD
    :members:
    :noindex:

Momentum
--------

..  autoclass:: paddle.fluid.optimizer.Momentum
    :members:
    :noindex:

Adagrad
-------

..  autoclass:: paddle.fluid.optimizer.Adagrad
    :members:
    :noindex:

Adam
----

..  autoclass:: paddle.fluid.optimizer.Adam
    :members:
    :noindex:

Adamax
------

..  autoclass:: paddle.fluid.optimizer.Adamax
    :members:
    :noindex:

DecayedAdagrad
--------------

..  autoclass:: paddle.fluid.optimizer.DecayedAdagrad
    :members:
    :noindex:

